SNEK-NANOEVERY-INSTALL(1)

NAME
snek-nano-every-instal - Install Snek to NanoEvery

SYNOPSIS
snek-nano-every-install [OPTION]... [COMMAND]

DESCRIPTION
snek-nano-every-install installs the Snek programming language on an ATmega4809 NanoEvery board using the Optiboot boot loader.

OPTIONS

-hex <snek.hex>
    Specifies the hex file to load to the board. The default is the currently installed version of Snek.

-port <port>
    Specifies the serial port to use. The default is /dev/ttyACM0.

OPTIBOOT
Snek for the NanoEvery requires Optiboot. If your board does not already have Optiboot, you can use the Arduino IDE to install Optiboot on your NanoEvery. Follow the instructions on the Optiboot web site: https://github.com/Optiboot/optiboot to learn how to do that.

AUTHOR
Keith Packard